namespace KlassenSchnittstellen
{
    internal class Kreis(string farbe, double radius) : IAenderbar, ICloneable
    {
        public void Faerben(string farbeNeu) => farbe = farbeNeu;

        public void Vergroessern(double faktor) => radius *= faktor;

        public object Clone() => new Kreis(farbe, radius);

        public override string ToString() =>
            $"Farbe: {farbe}, Radius: {radius}";
    }
}
